#ifndef _OLD_MAEDA_DRAWN_MODULE
#define _OLD_MAEDA_DRAWN_MODULE

#include "ofMain.h"
#include "ofVec3f.h"
#include "graphicsModuleBase.h"


class oldMaedaModule : public graphicsModuleBase {
	
	public:
		
		oldMaedaModule();
		
		void 		setup();
		void 		reset();
	 	void 		update();
		void 		draw();
		bool 		bAmIdone();
		
		ofVec3f		getStartPosition();
		float		getStartAngle();
		
		bool 		bDone;
		float 		pct;
		
};

#endif	
